INTERFACE
SUBROUTINE THIN_RED_PRESORT(KLEN,CD_MODE,PKEY,KCOL,&
 & KP,KDT,KTM,KLT,KLN,KAUX,KRN) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMOBS
USE RANDOM_NUMBERS_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KAUX
CHARACTER(LEN=*) ,INTENT(IN) :: CD_MODE
REAL(KIND=JPRB) ,INTENT(OUT) :: PKEY(KLEN,KCOL)
INTEGER(KIND=JPIM),INTENT(IN) :: KCOL
INTEGER(KIND=JPIM),INTENT(IN) :: KP
INTEGER(KIND=JPIM),INTENT(IN) :: KDT
INTEGER(KIND=JPIM),INTENT(IN) :: KTM
INTEGER(KIND=JPIM),INTENT(IN) :: KLT
INTEGER(KIND=JPIM),INTENT(IN) :: KLN
INTEGER(KIND=JPIM),INTENT(IN) :: KRN
END SUBROUTINE THIN_RED_PRESORT
END INTERFACE
